Skip to main content
DELETE
/
api
/
v1
/
agent-portfolios
/
{agentPortfolioId}
Delete Agent Portfolio
curl --request DELETE \
  --url https://public-api.etoro.com/api/v1/agent-portfolios/{agentPortfolioId} \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-request-id: <x-request-id>' \
  --header 'x-user-key: <x-user-key>'
{
  "errorCode": "ValidationFailed",
  "errorMessage": "Invalid agent-portfolio ID"
}

Headers

x-request-id
string<uuid>
required

A unique request identifier.

Example:

"79e97c76-2532-415f-a058-830f6a94178a"

x-api-key
string<password>
required

API key for authentication.

Example:

"lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663"

x-user-key
string<password>
required

User-specific authentication key.

Example:

"eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_"

Path Parameters

agentPortfolioId
string<uuid>
required

The unique identifier of the agent-portfolio to delete.

Response

Agent-portfolio was successfully removed